%define upstream_name       SQL-Statement
%define upstream_version 1.414

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    SQL parsing and processing engine
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone) >= 0.300.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Base::Convert)
BuildRequires: perl(Math::Complex) >= 1.560.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::Soundex) >= 3.40.0
BuildArch:  noarch

%description
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine. While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
SQL_STATEMENT_WARN_UPDATE=sure %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SQL
%{_mandir}/*/*

%changelog
* Thu Oct 22 2020 tv <tv> 1.414.0-1.mga8
+ Revision: 1638222
- update to 1.414

* Wed Feb 12 2020 umeabot <umeabot> 1.412.0-3.mga8
+ Revision: 1506165
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.412.0-2.mga7
+ Revision: 1285970
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 1.412.0-1.mga7
+ Revision: 1133022
- update to 1.412

* Sun Jun 19 2016 pterjan <pterjan> 1.410.0-2.mga6
+ Revision: 1033335
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.410.0-1.mga6
+ Revision: 1002292
- New version 1.410

* Fri Feb 19 2016 umeabot <umeabot> 1.407.0-2.mga6
+ Revision: 967956
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.407.0-1.mga6
+ Revision: 850837
- update to 1.407

* Wed Oct 15 2014 umeabot <umeabot> 1.405.0-4.mga5
+ Revision: 741183
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.405.0-3.mga5
+ Revision: 686147
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.405.0-2.mga4
+ Revision: 528746
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.405.0-1.mga4
+ Revision: 447095
- update to 1.405

* Fri Jun 07 2013 jquelin <jquelin> 1.404.0-1.mga4
+ Revision: 439862
- update to 1.404

* Sun Jan 13 2013 umeabot <umeabot> 1.402.0-2.mga3
+ Revision: 372440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.402.0-1.mga3
+ Revision: 342585
- update to 1.402

* Wed Nov 07 2012 jquelin <jquelin> 1.401.0-1.mga3
+ Revision: 315859
- update to 1.401

* Wed Feb 16 2011 jquelin <jquelin> 1.330.0-1.mga1
+ Revision: 52699
- update to 1.33

* Thu Jan 20 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 26952
- mageia rebuild
- imported package perl-SQL-Statement

